Skip to main content

Check Completion Status

Check the status of a completion token returned by the /ingress or /completion_token endpoint.

Path Parameters
pipeline_name string REQUIRED

Unique pipeline name

Query Parameters
token string REQUIRED

Completion token returned by the '/ingress' or '/completion_status' endpoint.

Responses
200

The pipeline has finished processing inputs associated with the provided completion token.

Schema OPTIONAL
status string

Possible values: [complete, inprogress]

Completion token status returned by the /completion_status endpoint.

step int64 OPTIONAL

If all of the data associated with the token has been processed through the pipeline, this is the final step that includes at least one record. When the pipeline's total_completed_steps reaches this value, the token has been completed.

This is None before the data associated with the token has been processed through the pipeline.

202

The pipeline is still processing inputs associated with the provided completion token.

Schema OPTIONAL
status string

Possible values: [complete, inprogress]

Completion token status returned by the /completion_status endpoint.

step int64 OPTIONAL

If all of the data associated with the token has been processed through the pipeline, this is the final step that includes at least one record. When the pipeline's total_completed_steps reaches this value, the token has been completed.

This is None before the data associated with the token has been processed through the pipeline.

400

An invalid completion token was provided

Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

404

Pipeline with that name does not exist

Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

410

Completion token was created by a previous incarnation of the pipeline and is not valid for the current incarnation. This indicates that the pipeline was suspended and resumed from a checkpoint or restarted after a failure.

Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

503
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.